Subject: string & mingw32 2.8.0
From: [email-masked] (Roland Weiss)

9 Feb 1998 10:53:45 -0800
Message-ID: <[email-masked]>
Reply-To: "Roland Weiss" <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "gnu-win32 Mailing List" <[email-masked]>
Cc: "Jan-Jaap van der Heijden" <[email-masked]>

Hello guys,

I've encountered the following problem with the string library. This program
compiles with some warnings (they don't bother me):

//---------------------------------------------------------------------
#include <string>
#include <iostream>
using namespace std;

void main() {
  string s = "Hello World.";
  cout << "s: " << s << endl;
}
//----------------------------------------------------------------------

But I can't link this file, when i write
> g++ stringtest.o
I get the errors in the attachement file.

Other programs work just fine (using STL, streams...).

my system: NT 4.0 Server, SP3, mingw32 2.8.0 from Jan-Jaap van der Heijden

any help would be really appreciated

Roland
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".